Subject: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: Juri Linkov <[email-masked]>
Date: Sun, 21 Oct 2018 21:14:50 +0300

>> And for saving to the desktop file,
>> non-writable window states should be converted to writable window states.
>
> Can you summarize why we would want non-writable states to replace
> window configurations?

While window configurations officially are not yet deprecated,
I see no more use of them, because window configurations can't be
serialized, whereas their morally equivalent window states can.

This is because window states are data structures accessible from Lisp.
So I perceive window states as window configurations rewritten in Lisp.